> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get campaign

> Get a specific campaign



## OpenAPI

````yaml GET /campaigns/{id}
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /campaigns/{id}:
    get:
      description: Get a specific campaign
      parameters:
        - in: path
          name: id
          description: The campaign unique identifier
          required: true
          schema:
            type: string
        - in: query
          name: customer_id
          description: >-
            Filter coupon availability for a specific customer. Only applies to
            COUPONS campaigns.
          schema:
            type: string
        - in: query
          name: includes
          description: Whether to include additional data inside attributes
          schema:
            type: string
            enum:
              - CODES_SUMMARY
            description: >-
              Only applies to COUPONS campaigns. Adds attributes.codes_summary
              with used, total, left, codes, and codes_usage.
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Campaign'
        '401':
          description: Unauthorized, the campaign is private
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Campaign not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Campaign:
      type: object
      description: Campaign response. account_id, order, and created_at are not returned.
      additionalProperties: true
      properties:
        id:
          type: string
          description: The campaign internal unique identifier
          format: uuid
        name:
          type: string
          description: The name of the campaign
        status:
          description: The computed campaign status returned by the API
          type: string
          enum:
            - RUNNING
            - PAUSED
            - SCHEDULED
            - FINISHED
            - NOT FINISHED
        attributes:
          description: The attributes of the campaign
          type: object
          additionalProperties: true
        stores:
          type: array
          description: >-
            Store ids this campaign is restricted to. null means no store
            restriction; a non-empty array restricts the campaign to those
            stores; [] is an explicit empty restriction and matches no stores.
          items:
            type: string
          nullable: true
        channels:
          type: array
          description: >-
            Channel ids this campaign is restricted to. null means no channel
            restriction; a non-empty array restricts the campaign to those
            channels; [] is an explicit empty restriction and matches no
            channels.
          items:
            type: string
          nullable: true
        products:
          type: array
          description: >-
            Product ids this campaign is restricted to. null means no product
            restriction; a non-empty array restricts the campaign to those
            products; [] is an explicit empty restriction and matches no
            products.
          items:
            type: string
          nullable: true
        content:
          description: The CMS content values stored for the campaign
          type: object
          additionalProperties: true
          example:
            Title:
              name: Title
              type: input
              value: Value of the title
            BannerImage:
              alt: Alternative description for the image
              href: Href link for the image
              name: BannerImage
              type: image
              value: https://URL_TO_IMAGE
            Description:
              name: Name of the description
              type: input
              value: Value of the description
        template_id:
          description: >-
            The CMS template id associated with the campaign content, or null
            when there is no template.
          type: string
          format: uuid
          nullable: true
    Error:
      required:
        - error
        - details
      type: object
      properties:
        error:
          type: string
        details:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````